## cascading.tuple.coerce
Class CharacterObjectCoerce

    java.lang.Object
      cascading.tuple.coerce.Coercions.Coerce<Character>
          cascading.tuple.coerce.CharacterObjectCoerce

All Implemented Interfaces:
  CoercibleType<Character>, Serializable, Type

    public class CharacterObjectCoerce

extends Coercions.Coerce<Character>

See Also:
  Serialized Form

Constructor Summary
`CharacterObjectCoerce(Map<Type,Coercions.Coerce> coercions)`

Method Summary
`Character` `coerce(Object value)`
`Class<Character>` `getCanonicalType()`

Methods inherited from class cascading.tuple.coerce.Coercions.Coerce
`canonical, coerce, equals, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharacterObjectCoerce

    public CharacterObjectCoerce(Map<Type,Coercions.Coerce> coercions)

Method Detail

### getCanonicalType

    public Class<Character> getCanonicalType()

  Returns:
    the actual Java type this CoercibleType represents

### coerce

    public Character coerce(Object value)

  Specified by:
    `coerce` in class `Coercions.Coerce<Character>`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.